<?php

namespace App\Classes\Exceptions\Common;

use App\Models\AbstractModel;
use App\Traits\HandlesPrimaryKeysAsArrays;

class ServiceException extends ErrorException {
    use HandlesPrimaryKeysAsArrays;

    public function __construct(string $message) {
        parent::__construct($message, class_basename($this));
    }
}
